import { world } from "@minecraft/server";

import "vector";
import "meteor_shower";
import "entity_interactions";
import "comet";
import "ufo";
import "./events/stars";
import "./events/spawnLoot.js";
import "./events/gravityBow.js";
import "./events/starspark.js";

import { blockCustomComponents, itemCustomComponents } from "./custom_components/index.js"

world.beforeEvents.worldInitialize.subscribe(({ blockComponentRegistry, itemComponentRegistry }) => {
    blockCustomComponents(blockComponentRegistry);
    itemCustomComponents(itemComponentRegistry);
});
